package de.demoprojekt;

import java.util.HashMap;
import java.util.Map;

import de.alamos.fe2.external.enums.EAlarmDataEntries;
import de.alamos.fe2.external.interfaces.IAlarmExtractor;

public class ZerlegungDemo implements IAlarmExtractor {

	/**	 *
	 * @param input
	 * @return
	 */
	@Override
	public Map<String, String> extract(String input) {
		
		/*
		 * In dieser Map knnen alle Parameter gesetzt werden, die ber eine normale Zerlegung auch gesetzt werden knnen
		 */
		
		Map<String, String> data = new HashMap<>();
		
		/*
		 * Beispielzerlegungen
		 */
		
		//BEISPIEL 1
		
		//Teile bergebenen String an Trennzeichen "&"
		String[] parameters = input.split("&");
		
		//Stichwort steht an erster Stelle, daher [0]
		String keyword = parameters[0];
		data.put("keyword", keyword);
		
		//Strae steht an dritter Stelle, daher [2]
		String street = parameters[2];
		data.put("street", street);
		
		
		//BEISPIEL 2
		/*
		 * Hier werden die Parameter in der Map mit vordefinierten Enums aus dem Enum-Objekt "EAlarmDataEntries" gesetzt. 
		 * Hier sind nicht alle Parameter hinterlegt. 
		 * Sollte einer fehlen, verwenden Sie bitte den normalen Parametername, z. B. "mitteiler"
		 */
		
		//Stichwort ist immer 6 Stellen lang und immer am Anfang der Nachricht
		String stichwort = input.substring(0, 6);
		data.put(EAlarmDataEntries.KEYWORD.getKey(), stichwort);
		
		//Strae wird extrahiert und anschlieend werden alle Kommas
		String strae = input.substring(6, 30).replace(",", "");
		data.put(EAlarmDataEntries.STREET.getKey(), strae);
		

		//Diese Zeile muss ganz am Ende stehen, nachdem die eigene Zerlegung durchgefhrt wurde. Hier wird die Map an FE2 zurck gegeben
		return data;
	}
}
