package de.demoprojekt.test;

import static org.junit.Assert.assertEquals;

import java.util.Map;

import org.junit.Test;

import de.alamos.fe2.external.enums.EAlarmDataEntries;
import de.demoprojekt.ZerlegungDemo;

public class ZerlegungDemoTest {

	@Test
	public void test() {
		ZerlegungDemo impl = new ZerlegungDemo();

		//BEISPIELDATEN
		
		String msg = "B 3 PERSON&Brand Zimmer&Teststrae 12&Augsburg&EPN123&Anrufer meldet schwarzen Rauch aus Fenster";
		Map<String, String> map = impl.extract(msg);
		assertEquals("B 3 PERSON", map.get("keyword"));
		assertEquals("Brand Zimmer", map.get("keyword_description"));
		assertEquals("Teststrae 12", map.get(EAlarmDataEntries.STREET.getKey()));
		assertEquals("Augsburg", map.get(EAlarmDataEntries.CITY.getKey()));
		assertEquals("EPN123", map.get("epn"));
		assertEquals("Anrufer meldet schwarzen Rauch aus Fenster", map.get("text"));

		msg = "B BMA&Brandmeldeanlage (Feuermeldung)&Musterstrae 12-14&Augsburg&EPN456";
		map = impl.extract(msg);
		assertEquals("B BMA", map.get("keyword"));
		assertEquals("Brandmeldeanlage (Feuermeldung)", map.get(EAlarmDataEntries.KEYWORD_DESCRIPTION.getKey()));
		assertEquals("Musterstrae 12-14", map.get("street"));
		assertEquals("Augsburg", map.get(EAlarmDataEntries.CITY.getKey()));
		assertEquals("EPN456", map.get("epn"));
	}
}
